Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Interface PDFEventProducer

All Superinterfaces:
  EventProducer

    public interface PDFEventProducer

extends EventProducer

Event producer interface for events generated by the PDF renderer.

Nested Class Summary
`static class` | `PDFEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `incorrectEncryptionLength(java.lang.Object source, int originalValue, int correctedValue)` The encryption length must be a multiple of 8 between 40 and 128.
`void` | `nonFullyResolvedLinkTargets(java.lang.Object source, int count)` Some link targets haven't been fully resolved.
`void` | `nonStandardStructureType(java.lang.Object source, java.lang.String type, java.lang.String fallback)` Custom structure type is not standard as per the PDF reference.
`void` | `unknownLanguage(java.lang.Object source, java.lang.String location)` The language of a piece of text is unknown.

Method Detail

### nonFullyResolvedLinkTargets

    void nonFullyResolvedLinkTargets(java.lang.Object source,
                                     int count)

  Some link targets haven't been fully resolved.

  Parameters:
    `source` - the event source
    `count` - the number of unresolved links
  Event severity level:
    WARN

### nonStandardStructureType

    void nonStandardStructureType(java.lang.Object source,
                                  java.lang.String type,
                                  java.lang.String fallback)

  Custom structure type is not standard as per the PDF reference.

  Parameters:
    `source` - the event source
    `type` - custom structure type
    `fallback` - default structure type used as a fallback
  Event severity level:
    WARN

### incorrectEncryptionLength

    void incorrectEncryptionLength(java.lang.Object source,
                                   int originalValue,
                                   int correctedValue)

  The encryption length must be a multiple of 8 between 40 and 128.

  Parameters:
    `source` - the event source
    `originalValue` - requested encryption length
    `correctedValue` - corrected encryption length
  Event severity level:
    WARN

### unknownLanguage

    void unknownLanguage(java.lang.Object source,
                         java.lang.String location)

  The language of a piece of text is unknown.

  Parameters:
    `source` - the event source
    `location` - location in the source FO file, if any

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.